
# react-native-merge-image

## Getting started

`$ npm install react-native-merge-image --save`

### Mostly automatic installation

`$ react-native link react-native-merge-image`

### Manual installation


#### iOS

1. In XCode, in the project navigator, right click `Libraries` ➜ `Add Files to [your project's name]`
2. Go to `node_modules` ➜ `react-native-merge-image` and add `RNMergeImage.xcodeproj`
3. In XCode, in the project navigator, select your project. Add `libRNMergeImage.a` to your project's `Build Phases` ➜ `Link Binary With Libraries`
4. Run your project (`Cmd+R`)<

#### Android

1. Open up `android/app/src/main/java/[...]/MainActivity.java`
  - Add `import com.reactlibrary.RNMergeImagePackage;` to the imports at the top of the file
  - Add `new RNMergeImagePackage()` to the list returned by the `getPackages()` method
2. Append the following lines to `android/settings.gradle`:
  	```
  	include ':react-native-merge-image'
  	project(':react-native-merge-image').projectDir = new File(rootProject.projectDir, 	'../node_modules/react-native-merge-image/android')
  	```
3. Insert the following lines inside the dependencies block in `android/app/build.gradle`:
  	```
      compile project(':react-native-merge-image')
  	```

#### Windows
[Read it! :D](https://github.com/ReactWindows/react-native)

1. In Visual Studio add the `RNMergeImage.sln` in `node_modules/react-native-merge-image/windows/RNMergeImage.sln` folder to their solution, reference from their app.
2. Open up your `MainPage.cs` app
  - Add `using Merge.Image.RNMergeImage;` to the usings at the top of the file
  - Add `new RNMergeImagePackage()` to the `List<IReactPackage>` returned by the `Packages` method


## Usage
```javascript
import RNMergeImage from 'react-native-merge-image';

// TODO: What to do with the module?
RNMergeImage;
```
  