
import { NativeModules ,DeviceEventEmitter} from 'react-native';
var RNMergeImageModule = NativeModules.RNMergeImageModule;
var MergeModule ={
	Merge : function(pathBG,pathLG,x,y,pathOut){
		return RNMergeImageModule.Merge(pathBG,pathLG,x,y,pathOut);
	},
	MergeBase64 : function(base64BG,pathFG,x,y,pathOut,flipX,flipY,rotate){
		return RNMergeImageModule.MergeImageBase64(base64BG,pathFG,x,y,pathOut,flipX,flipY,rotate);
	},
	ResizeImage : function(base64Image,x,y){
		return RNMergeImageModule.ResizeImageBase64(base64Image,x,y);
	},
	OnLog : function(){
		DeviceEventEmitter.addListener("MergeBitmaps",evt=>console.log(evt));
	}
}
module.exports = MergeModule;
